<?php
include('conexion.php');


	$registro = mysqli_query($conexion,"SELECT I.IdInsumo,I.Descripcion,I.Codigo, P.Nombre, I.PrecioCompra,I.Activo,I.Eliminado FROM Insumos I JOIN Proveedor P ON I.IdProveedor = P.IdProveedor 
 WHERE I.Activo = 1 AND I.idtipo = 0 ORDER BY I.Descripcion ASC");

	//CREAMOS NUESTRA VISTA Y LA DEVOLVEMOS AL AJAX
	$contador = mysqli_num_rows($registro);
	$registro2 = mysqli_fetch_array($registro);

	
	echo '<table class="table table-striped table-condensed table-hover" id="example">
	        	<thead>
	        	

	        	<tr >
	        		<th width="200">Nombre</th>
	            	<th width="100">Codigo</th>
	            	<th width="150">Proveedor</th>
	            	<th width="100">Precio de Compra</th>
	                <th width="150" colspan="2" style="text-align:center">Acciones</th>
	            </tr></thead>
	            <tbody>';


	$url_actual = "http://" . $_SERVER["SERVER_NAME"] . $_SERVER["REQUEST_URI"];
	if($contador >0){
			
		do{
			$id = $registro2['IdInsumo'];
			echo '
						
						
						<tr>
						<td>'.$registro2['Descripcion'].'</td>
						<td>'.$registro2['Codigo'].'</td>
						<td>'.$registro2['Nombre'].'</td>
						<td>$'.$registro2['PrecioCompra'].'</td>
						<td colspan="1" align="center"><a href="insumos_nuevo.php?id='.$id.'"><button class="boton">Editar</button></a></td>

                        <td colspan="1" align="center"><a href="javascript:void(0);"  onClick="eliminainsumo('.$id.');" ><button class="boton" id="eliminar" onclick="return confirm("Estas seguro que quieres borrar este insumo")">Eliminar</button></a></td>
						
						</tr>';
						
			}while(($registro2 = mysqli_fetch_array($registro)));
		}else{
			echo '<tr>
					<td colspan="8">No se encontraron resultados </td>
				</tr>';
			}

	
	echo '</tbody></table>';

?>
